/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ms_exec_utils.c                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: tmaze <marvin@42.fr>                       +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2020/02/01 15:43:41 by tmaze             #+#    #+#             */
/*   Updated: 2020/02/01 15:56:49 by tmaze            ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "minishell.h"

void	exec_cmd_child(char *path, char **argv, char **env_tab, t_env **env)
{
	execve(path, argv, env_tab);
	ft_putendl_fd("minishell: error", 1);
	if (ft_strcmp(path, argv[0]) != 0)
		ft_strdel(&path);
	ft_del_words_tables(&env_tab);
	ft_envdel(env);
	exit(-1);
}

void	*ft_strdel_null(char **s)
{
	ft_strdel(s);
	return (NULL);
}

int		ft_isin(char *str, char c)
{
	int	i;

	i = 0;
	while (str && str[i])
		if (str[i++] == c)
			return (i - 1);
	return (-1);
}

void	*put_error(char *file, char *msg)
{
	ft_putstr("minishell: ");
	ft_putstr(file);
	ft_putstr(": ");
	ft_putendl(msg);
	return (NULL);
}

void	*return_null(char *msg)
{
	ft_printf("%s\n", msg);
	return (NULL);
}
